### File

`src/lib/copy-to-clipboard/copy-to-clipboard.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `rxap-copy-to-clipboard`
imports | `NgIf` `CopyToClipboardButtonComponent`
styleUrls | `./copy-to-clipboard.component.scss`
templateUrl | `./copy-to-clipboard.component.html`

### Index

###### Inputs

- active
- disabled
- value

### Inputs

active
Type : `boolean`
Default value : `true`
Defined in src/lib/copy-to-clipboard/copy-to-clipboard.component.ts:18

disabled
Type : `boolean`
Default value : `false`
Defined in src/lib/copy-to-clipboard/copy-to-clipboard.component.ts:19

value
Type : `string`
Required : true
Defined in src/lib/copy-to-clipboard/copy-to-clipboard.component.ts:20

    import { NgIf } from '@angular/common';
    import {
      ChangeDetectionStrategy,
      Component,
      Input,
    } from '@angular/core';
    import { CopyToClipboardButtonComponent } from '../copy-to-clipboard-button/copy-to-clipboard-button.component';

    @Component({
        selector: 'rxap-copy-to-clipboard',
        templateUrl: './copy-to-clipboard.component.html',
        styleUrls: ['./copy-to-clipboard.component.scss'],
        changeDetection: ChangeDetectionStrategy.OnPush,
        imports: [NgIf, CopyToClipboardButtonComponent]
    })
    export class CopyToClipboardComponent {

      @Input() public active = true;
      @Input() public disabled = false;
      @Input({ required: true }) public value!: string;

    }

    <div class="flex flex-row gap-0.5 items-center">
      <rxap-copy-to-clipboard-button *ngIf="active" [value]="value" class="w-[40px]"></rxap-copy-to-clipboard-button>
      <span #ref class="content grow-0"><ng-content></ng-content></span>
      <span *ngIf="!ref.innerHTML.trim()" class="content grow-0">{{ value }}</span>
    </div>

`./copy-to-clipboard.component.scss`

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""